config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/uptimed.conf-dist.new
( cd usr/lib ; rm -rf libuptimed.so )
( cd usr/lib ; ln -sf libuptimed.so.0.0.0 libuptimed.so )
( cd usr/lib ; rm -rf libuptimed.so.0 )
( cd usr/lib ; ln -sf libuptimed.so.0.0.0 libuptimed.so.0 )
( cd usr/doc/uptimed-0.3.17 ; rm -rf NEWS )
( cd usr/doc/uptimed-0.3.17 ; ln -sf ChangeLog NEWS )
